## ocaml-odoc 1.5.2+dfsg2

=== Makefile ===
.PHONY : build
build :
	dune build

.PHONY : npm-package
npm-package : npm-build
	esy release

.PHONY : npm-build
npm-build :
	esy install
	esy build

.PHONY : npm-test
npm-test :
	esy make test

.PHONY : docs
docs :
	mkdir -p docs
	dune build @doc
	cp -R _build/default/_doc/_html/* docs

.PHONY : docs
serve :
	python -m SimpleHTTPServer $(PORT)

.PHONY : test
test : build
	dune build @test/parser/runtest --no-buffer -j 1
	dune build @test/compile/runtest --no-buffer -j 1
	dune build @test/html/runtest --no-buffer -j 1

ODOC_RELATIVE_PATH := ../../_build/install/default/bin/

.PHONY : dune-test
dune-test : build
	(cd test/dune && PATH=$(ODOC_RELATIVE_PATH):$$PATH dune build @doc)

COVERAGE := _coverage
BISECT_FILES_PATTERN := _build/default/test/*/bisect*.out

.PHONY : coverage
coverage :
	find . -name 'bisect*.out' | xargs rm -f
	BISECT_ENABLE=yes dune build @test/parser/runtest --no-buffer -j 1 --force
	BISECT_ENABLE=yes dune build @test/html/runtest --no-buffer -j 1 --force
	@bisect-ppx-report \
	    -I _build/default/ -html $(COVERAGE)/ \
	    -text - -summary-only \
	    $(BISECT_FILES_PATTERN)
	@echo See $(COVERAGE)/index.html

.PHONY : clean
clean :
	dune clean
	(cd test/dune && dune clean)
	rm -rf $(COVERAGE)

## ocaml-odoc 1.5.1+dfsg

=== debian/changelog ===
ocaml-odoc (1.5.1+dfsg-2build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 13:36:24 +0200

ocaml-odoc (1.5.1+dfsg-2) unstable; urgency=medium

  * Fix as-installed test odoc-on-odoc: since we are running odoc on its own
    source code we have to make sure that patches are applied.
  * Set Rules-Requires-Root to no

 -- Ralf Treinen <treinen@debian.org>  Sun, 16 Aug 2020 17:19:43 +0200

ocaml-odoc (1.5.1+dfsg-1) unstable; urgency=medium

  * Repack sources without vendored js code
  * Fix Vcs-{Browser,Git}
  * Patch odoc-on-odoc: fix odoc errors on its own source code
    (closes: #964407)
  * Fix NAME section in manpage
  * debian/rules: add override of dh_dwz
  * debian/watch: add dversionmangle

 -- Ralf Treinen <treinen@debian.org>  Sun, 02 Aug 2020 21:09:46 +0200

ocaml-odoc (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * debian/libodoc-ocaml-dev.install.in: restrict installation of *.a and
    *.cmxa files to OPT architectures.
  * Debhelper compatibility level 13:
    - drop override of dh_missing as --fail-missing is now the default.

 -- Ralf Treinen <treinen@debian.org>  Wed, 24 Jun 2020 11:02:36 +0200

ocaml-odoc (1.5.0-1) unstable; urgency=medium

  * Initial packaging (closes: #900674)

 -- Ralf Treinen <treinen@debian.org>  Mon, 27 Apr 2020 15:53:14 +0200

=== debian/control ===
Source: ocaml-odoc
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-ocaml,
 ocaml-nox (>= 4.02.0),
 cppo,
 ocaml-dune,
 libastring-ocaml-dev,
 libfpath-ocaml-dev,
 libcmdliner-ocaml-dev,
 libresult-ocaml-dev,
 libtyxml-ocaml-dev (>= 4.3.0)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ocaml/odoc
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-odoc
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-odoc.git

Package: ocaml-odoc
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Recommends: libjs-highlight.js
Provides: ${ocaml:Provides}
Description: documentation generator for OCaml (standalone tool)
 Odoc is a documentation generator for the OCaml programming language.
 It reads doc comments contained in OCaml source code, delimited with
 (** ... *), and produces HTML.
 .
 Odoc's main advantage over ocamldoc is an accurate cross-referencer,
 which handles the complexity of the OCaml module system. Odoc also
 offers a good opportunity to improve HTML output compared to ocamldoc.
 .
 Furthermore, odoc can be used by dune to generate documentation of
 OCaml projects using dune as a build-system.
 .
 This package contains the odoc tool.

Package: libodoc-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: documentation generator for OCaml (development libraries)
 Odoc is a documentation generator for the OCaml programming language.
 It reads doc comments contained in OCaml source code, delimited with
 (** ... *), and produces HTML.
 .
 Odoc's main advantage over ocamldoc is an accurate cross-referencer,
 which handles the complexity of the OCaml module system. Odoc also
 offers a good opportunity to improve HTML output compared to ocamldoc.
 .
 Furthermore, odoc can be used by dune to generate documentation of
 OCaml projects using dune as a build-system.
 .
 This package contains the development files.

Package: libodoc-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: documentation generator for OCaml (runtime libraries)
 Odoc is a documentation generator for the OCaml programming language.
 It reads doc comments contained in OCaml source code, delimited with
 (** ... *), and produces HTML.
 .
 Odoc's main advantage over ocamldoc is an accurate cross-referencer,
 which handles the complexity of the OCaml module system. Odoc also
 offers a good opportunity to improve HTML output compared to ocamldoc.
 .
 Furthermore, odoc can be used by dune to generate documentation of
 OCaml projects using dune as a build-system.
 .
 This package contains the runtime files.

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	dune clean

override_dh_auto_test:

override_dh_auto_install:
	dune install

override_dh_dwz:
	# do nothing

## ocaml-odoc 1.5.2+dfsg2

=== debian/changelog ===
ocaml-odoc (1.5.2+dfsg2-1) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Simplify patch no-vendored-js-highlight: copy odoc.css at runtime,
    instead of creating a symlink.
  * Build docs and run tests

  [ Ralf Treinen ]
  * Repack source without test/highlight/highlight.pack.js
  * gbp.conf: also filter out the symlink test/highlight/highlight.pack.js
  * Dropped override of dh_dwz, which is no longer needed.
  * Add build-dependency libjs-highlight.js as this is needed to build the docs

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Jan 2021 20:32:08 +0100

ocaml-odoc (1.5.2+dfsg-1) unstable; urgency=medium

  [ Ralf Treinen ]
  * New upstream release 
  * Promote libjs-highlight.js from Recommends to Depends (closes: #979493)
  * Standards-Version 4.5.1 (no change)

  [ Johannes 'josch' Schauer ]
  * Add debian/salsa-ci.yml

 -- Ralf Treinen <treinen@debian.org>  Sun, 10 Jan 2021 15:42:22 +0100

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,18 @@
  libfpath-ocaml-dev,
  libcmdliner-ocaml-dev,
  libresult-ocaml-dev,
- libtyxml-ocaml-dev (>= 4.3.0)
+ libtyxml-ocaml-dev (>= 4.3.0),
+ libjs-highlight.js
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ocaml/odoc
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-odoc
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-odoc.git
 
 Package: ocaml-odoc
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
-Recommends: libjs-highlight.js
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends},
+ libjs-highlight.js
 Provides: ${ocaml:Provides}
 Description: documentation generator for OCaml (standalone tool)
  Odoc is a documentation generator for the OCaml programming language.

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,12 @@
 override_dh_auto_clean:
 	dune clean
 
+override_dh_auto_build:
+	make build docs
+
 override_dh_auto_test:
+	make dune-test
 
 override_dh_auto_install:
 	dune install
 
-override_dh_dwz:
-	# do nothing
-

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=s/\+dfsg//" \
	 https://github.com/ocaml/odoc.git \
         refs/tags/v?([\d.]*)

## ocaml-odoc 2.0.2+dfsg

=== Makefile ===
ifeq "$(wildcard dune-local/dune.exe)" ""
  DUNE = dune
	DUNE_BUILD_TARGET =
else
  DUNE = dune-local/dune.exe
	DUNE_BUILD_TARGET = odoc.install
endif
DUNE_ARGS ?=

.PHONY : build
build :
	$(DUNE) build $(DUNE_ARGS) $(DUNE_BUILD_TARGET)

.PHONY : npm-package
npm-package : npm-build
	esy release

.PHONY : npm-build
npm-build :
	esy install
	esy build

.PHONY : npm-test
npm-test :
	esy make test

.PHONY : publish-docs
publish-docs:
	dune build @doc
	dune build @docgen || true
	git checkout gh-pages
	rsync -av _build/default/doc/html/odoc/ .

.PHONY : test
test : build
	$(DUNE) runtest $(DUNE_ARGS)

.PHONY : coverage
coverage :
	$(DUNE) build $(DUNE_ARGS) --instrument-with bisect_ppx @test/runtest --no-buffer -j 1 --force || true
	bisect-ppx-report html
	@echo See _coverage/index.html

.PHONY : clean
clean :
	$(DUNE) clean
	rm -rf $(COVERAGE)

DUNIVERSE_DEPS = astring cmdliner cppo fmt fpath ocaml-re result tyxml uutf
ASTRING_VERSION = v0.8.4
CMDLINER_VERSION = v1.0.4
CPPO_VERSION = v1.6.6
DUNE_VERSION = 2.6.2
FMT_VERSION = v0.8.8
FPATH_VERSION = v0.7.2
OCAML_RE_VERSION = 1.9.0
RESULT_VERSION = 1.5
TYXML_VERSION = 4.4.0
UUTF_VERSION = v1.0.2

GIT_CHECKOUT = git -c advice.detachedHead=false checkout

.PHONY : duniverse
duniverse : $(addsuffix /dune-project,$(DUNIVERSE_DEPS)) dune-local/dune.exe

dune-local/dune.exe : dune-local
	cd dune-local ; ocaml bootstrap.ml

astring :
	git clone https://github.com/dbuenzli/astring.git -n -o upstream
	cd astring ; $(GIT_CHECKOUT) $(ASTRING_VERSION)

cmdliner :
	git clone https://github.com/dbuenzli/cmdliner.git -n -o upstream
	cd cmdliner ; $(GIT_CHECKOUT) $(CMDLINER_VERSION)

cppo :
	git clone https://github.com/ocaml-community/cppo.git -n -o upstream
	cd cppo ; $(GIT_CHECKOUT) $(CPPO_VERSION)

dune-local :
	git clone https://github.com/ocaml/dune.git -n -o upstream dune-local
	cd dune-local ; $(GIT_CHECKOUT) $(DUNE_VERSION)

fmt :
	git clone https://github.com/dbuenzli/fmt.git -n -o upstream
	cd fmt ; $(GIT_CHECKOUT) $(FMT_VERSION)

fpath :
	git clone https://github.com/dbuenzli/fpath.git -n -o upstream
	cd fpath ; $(GIT_CHECKOUT) $(FPATH_VERSION)

ocaml-re :
	git clone https://github.com/ocaml/ocaml-re.git -n -o upstream
	cd ocaml-re ; $(GIT_CHECKOUT) $(OCAML_RE_VERSION)

result :
	git clone https://github.com/janestreet/result.git -n -o upstream
	cd result ; $(GIT_CHECKOUT) $(RESULT_VERSION)

tyxml :
	git clone https://github.com/ocsigen/tyxml.git -n -o upstream
	cd tyxml ; $(GIT_CHECKOUT) $(TYXML_VERSION)

uutf :
	git clone https://github.com/dbuenzli/uutf.git -n -o upstream
	cd uutf ; $(GIT_CHECKOUT) $(UUTF_VERSION)

astring/dune-project : astring
	mv $</opam $</$<.opam
	echo '(lang dune 1.0)' > $@; \
  echo '(name $<)' >> $@; \
  echo '(library (name $<)(public_name $<)(modules :standard \ astring_top astring_top_init)(flags :standard -w -27)(wrapped false))' > $</src/dune

cmdliner/dune-project: cmdliner

cppo/dune-project: cppo

fmt/dune-project : fmt
	mv $</opam $</$<.opam
	echo '(lang dune 1.0)' > $@; \
  echo '(name $<)' >> $@; \
  echo '(library (name $<)(public_name $<)(modules fmt)(flags :standard -w -3-6-27-34-50)(wrapped false))' > $</src/dune

fpath/dune-project : fpath
	mv $</opam $</$<.opam
	echo '(lang dune 1.0)' > $@; \
  echo '(name $<)' >> $@; \
  echo '(library (name $<)(public_name $<)(libraries astring result)(modules fpath)(flags :standard -w -6-27-32-33-39)(wrapped false))' > $</src/dune

ocaml-re/dune-project: ocaml-re

result/dune-project: result

tyxml/dune-project: tyxml

uutf/dune-project : uutf
	mv $</opam $</$<.opam
	echo '(lang dune 1.0)' > $@; \
  echo '(name $<)' >> $@; \
  echo '(library (name $<)(public_name $<)(flags (:standard -w -3-27))(wrapped false))' > $</src/dune

.PHONY : distclean
distclean :
	rm -rf $(DUNIVERSE_DEPS) dune-local

=== debian/changelog ===
ocaml-odoc (2.0.2+dfsg-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:20:15 +0100

ocaml-odoc (2.0.2+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 01:03:01 +0100

ocaml-odoc (2.0.2+dfsg-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Jan 2022 04:24:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends:
+ debhelper-compat (= 13),
  dh-ocaml,
- ocaml-nox (>= 4.02.0),
+ ocaml,
  cppo,
  ocaml-dune,
  libastring-ocaml-dev,
@@ -13,9 +14,14 @@
  libcmdliner-ocaml-dev,
  libresult-ocaml-dev,
  libtyxml-ocaml-dev (>= 4.3.0),
+ libodoc-parser-ocaml-dev,
+ libfmt-ocaml-dev,
+ liblogs-ocaml-dev,
+ libre-ocaml-dev,
+ libmigrate-parsetree-ocaml-dev,
  libjs-highlight.js
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ocaml/odoc
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-odoc
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-odoc.git
@@ -43,6 +49,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
+Recommends: ocaml-findlib
 Description: documentation generator for OCaml (development libraries)
  Odoc is a documentation generator for the OCaml programming language.
  It reads doc comments contained in OCaml source code, delimited with

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,11 @@
 	dune clean
 
 override_dh_auto_build:
-	make build docs
+	dune build -p odoc
 
 override_dh_auto_test:
-	make dune-test
+# needs ppx_expect
+#	make dune-test
 
 override_dh_auto_install:
-	dune install
-
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" \
https://github.com/ocaml/odoc/releases .*-v?([0-9.]+)\.tbz

## ocaml-odoc 2.1.1+dfsg

=== debian/changelog ===
ocaml-odoc (2.1.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Avoid warnings-as-errors in autopkgtests

 -- Stéphane Glondu <glondu@debian.org>  Sun, 12 Feb 2023 12:18:59 +0100

ocaml-odoc (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #1015758)
  * Standards-Version 4.6.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 05 Sep 2022 21:16:57 +0200

ocaml-odoc (2.1.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Mar 2022 13:26:41 +0100

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,11 @@
  libtyxml-ocaml-dev (>= 4.3.0),
  libodoc-parser-ocaml-dev,
  libfmt-ocaml-dev,
- liblogs-ocaml-dev,
  libre-ocaml-dev,
  libmigrate-parsetree-ocaml-dev,
  libjs-highlight.js
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ocaml/odoc
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-odoc
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-odoc.git

## ocaml-odoc 2.2.1

=== Makefile ===
--- 
+++ 
@@ -10,19 +10,6 @@
 .PHONY : build
 build :
 	$(DUNE) build $(DUNE_ARGS) $(DUNE_BUILD_TARGET)
-
-.PHONY : npm-package
-npm-package : npm-build
-	esy release
-
-.PHONY : npm-build
-npm-build :
-	esy install
-	esy build
-
-.PHONY : npm-test
-npm-test :
-	esy make test
 
 .PHONY : publish-docs
 publish-docs:

=== debian/changelog ===
ocaml-odoc (2.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Aug 2023 21:47:36 +0200

ocaml-odoc (2.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Include ocamlvars.mk in debian/rules
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 11:37:33 +0200

ocaml-odoc (2.1.1+dfsg-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 16:04:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
+ dh-ocaml (>= 1.2),
  ocaml,
  cppo,
  ocaml-dune,
@@ -20,7 +20,7 @@
  libmigrate-parsetree-ocaml-dev,
  libjs-highlight.js
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ocaml/odoc
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-odoc
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-odoc.git

## ocaml-odoc 2.4.1

=== debian/changelog ===
ocaml-odoc (2.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Feb 2024 13:10:29 +0100

ocaml-odoc (2.3.0-2) unstable; urgency=medium

  * Build-depend on ocaml-dune >= 3.11.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 16 Oct 2023 15:57:38 +0200

ocaml-odoc (2.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - take over binary packages libodoc-parser-ocaml{,-dev}

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Oct 2023 10:57:01 +0200

ocaml-odoc (2.2.1-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Dr. Tobias Quathamer ]
  * Check for existence of debian/patches/series in autopkgtest (Closes:
    #1053634)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Oct 2023 09:04:17 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
  dh-ocaml (>= 1.2),
  ocaml,
  cppo,
- ocaml-dune,
+ ocaml-dune (>= 3.11.0),
+ ocaml-crunch,
+ libcamlp-streams-ocaml-dev,
  libastring-ocaml-dev,
  libfpath-ocaml-dev,
  libcmdliner-ocaml-dev,
  libresult-ocaml-dev,
  libtyxml-ocaml-dev (>= 4.3.0),
- libodoc-parser-ocaml-dev,
  libfmt-ocaml-dev,
  libre-ocaml-dev,
  libmigrate-parsetree-ocaml-dev,
@@ -80,3 +81,33 @@
  OCaml projects using dune as a build-system.
  .
  This package contains the runtime files.
+
+Package: libodoc-parser-ocaml-dev
+Provides: ${ocaml:Provides}
+Architecture: any
+Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Recommends: ocaml-findlib
+Description: parser for OCaml documentation comments (dev files)
+ Odoc_parser is a library for parsing the contents of OCaml
+ documentation comments, formatted using 'odoc' syntax, an extension
+ of the language understood by ocamldoc.
+ .
+ This package contains development files.
+
+Package: libodoc-parser-ocaml
+Provides: ${ocaml:Provides}
+Architecture: any
+Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Suggests: ocaml-findlib
+Description: parser for OCaml documentation comments (runtime files)
+ Odoc_parser is a library for parsing the contents of OCaml
+ documentation comments, formatted using 'odoc' syntax, an extension
+ of the language understood by ocamldoc.
+ .
+ This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# needs ocaml-crunch

## ocaml-odoc 2.4.2

=== debian/changelog ===
ocaml-odoc (2.4.2-2) unstable; urgency=medium

  * Team upload
  * Do no longer Build-Depend on libmigrate-parsetree-ocaml-dev

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 08:06:40 +0200

ocaml-odoc (2.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 06:03:24 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  libtyxml-ocaml-dev (>= 4.3.0),
  libfmt-ocaml-dev,
  libre-ocaml-dev,
- libmigrate-parsetree-ocaml-dev,
  libjs-highlight.js
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

## ocaml-odoc 2.4.3

=== debian/changelog ===
ocaml-odoc (2.4.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Sep 2024 11:32:58 +0200

ocaml-odoc (2.4.2-3) unstable; urgency=medium

  * Team upload
  * Make ocaml-odoc depend on ocaml-<abi> (Closes: #1078259)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2024 11:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,18 @@
  libre-ocaml-dev,
  libjs-highlight.js
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ocaml/odoc
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-odoc
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-odoc.git
 
 Package: ocaml-odoc
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends},
+Depends:
+ ${misc:Depends},
+ ocaml-${F:OCamlABI},
+ ${ocaml:Depends},
+ ${shlibs:Depends},
  libjs-highlight.js
 Provides: ${ocaml:Provides}
 Description: documentation generator for OCaml (standalone tool)

## ocaml-odoc 2.4.4

=== Makefile ===
.PHONY : build
build :
	dune build

.PHONY : publish-docs
publish-docs:
	dune build @doc
	dune build @docgen || true
	git checkout gh-pages
	rsync -av _build/default/doc/html/odoc/ .

.PHONY : test
test :
	dune runtest

# ODOC_BENCHMARK=true will cause the driver to build a larger set of libraries
# containing more edge cases.
.PHONY : bench
bench:
	@ODOC_BENCHMARK=true dune build @bench

.PHONY : coverage
coverage :
	dune build --instrument-with bisect_ppx @test/runtest --no-buffer -j 1 --force || true
	bisect-ppx-report html
	@echo See _coverage/index.html

.PHONY : clean
clean :
	dune clean
	rm -r _coverage

=== debian/changelog ===
ocaml-odoc (2.4.4-2build3) plucky; urgency=medium

  * Rebuild against new ocaml ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:47:37 +0100

ocaml-odoc (2.4.4-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:40:53 +0100

ocaml-odoc (2.4.4-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:09:02 +0100

ocaml-odoc (2.4.4-2) unstable; urgency=medium

  * Team upload
  * Set minimum version of ocaml-dune in Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Tue, 07 Jan 2025 07:34:00 +0100

ocaml-odoc (2.4.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 17:39:05 +0100

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocaml/odoc/releases?per_page=50 \
https://github.com/ocaml/odoc/releases/download/[^/]+/odoc-@ANY_VERSION@.tbz

## ocaml-odoc 3.0.0

=== debian/changelog ===
ocaml-odoc (3.0.0-2build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Aug 2025 09:48:39 +0200

ocaml-odoc (3.0.0-2build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:22:55 +0200

ocaml-odoc (3.0.0-2build1) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 May 2025 15:50:33 -0400

ocaml-odoc (3.0.0-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Mar 2025 10:50:46 +0100

ocaml-odoc (3.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Mar 2025 09:40:47 +0100

## ocaml-odoc 3.1.0

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,9 @@
 
 .PHONY : coverage
 coverage :
-	dune build --instrument-with bisect_ppx @test/runtest --no-buffer -j 1 --force || true
-	bisect-ppx-report html
+	mkdir -p _coverage
+	BISECT_FILE=`pwd`/_coverage/bisect dune build --instrument-with bisect_ppx @test/runtest --no-buffer -j 1 --force || true
+	bisect-ppx-report html --coverage-path `pwd`/_coverage
 	@echo See _coverage/index.html
 
 .PHONY : clean

=== debian/changelog ===
ocaml-odoc (3.1.0-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:46:00 +0200

ocaml-odoc (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 09 Sep 2025 16:59:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-ocaml (>= 1.2),
  ocaml,
  cppo,
- ocaml-dune (>= 3.11.0),
+ ocaml-dune (>= 3.17),
  ocaml-crunch,
  libcamlp-streams-ocaml-dev,
  libastring-ocaml-dev,

=== debian/tests/control ===
Tests: odoc-on-odoc
Depends: @, quilt, @builddeps@

=== debian/watch ===
version=4
opts="searchmode=plain,uversionmangle=s/\.(alpha|beta)/~$1/" \
https://api.github.com/repos/ocaml/odoc/releases?per_page=50 \
https://github.com/ocaml/odoc/releases/download/[^/]+/odoc-@ANY_VERSION@.tbz
